Question Answering Projects - Get Delete Status
Gets the status of a Project delete job.
GET {Endpoint}/language/authoring/query-knowledgebases/projects/deletion-jobs/{jobId}?api-version=2023-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
string (uri) |
Supported Cognitive Services endpoint (e.g., https://<resource-name>.api.cognitiveservices.azure.com). |
|
job
|
path | True |
string |
The job ID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. Headers x-ms-error-code: string |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| https://cognitiveservices.azure.com/.default |
Examples
Successful query
Sample request
GET {Endpoint}/language/authoring/query-knowledgebases/projects/deletion-jobs/job1?api-version=2023-04-01
Sample response
{
"createdDateTime": "2021-05-01T17:21:14Z",
"errors": [],
"expirationDateTime": "2021-05-01T17:21:14Z",
"jobId": "635c2741-15c4-4c2c-9f78-bfd30b6b2a4a",
"lastUpdatedDateTime": "2021-05-01T17:21:14Z",
"status": "succeeded"
}
Definitions
| Name | Description |
|---|---|
|
Azure. |
The error object. |
|
Azure. |
An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors. |
| Error |
The error object. |
|
Error |
Human-readable error code. |
|
Error |
Error response. |
|
Inner |
Human-readable error code. |
|
Inner |
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses. |
|
job |
Job Status. |
|
Question |
Represents the state of a project deletion job. |
Azure.Core.Foundations.Error
The error object.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
An array of details about specific errors that led to this reported error. |
|
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| target |
string |
The target of the error. |
Azure.Core.Foundations.InnerError
An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| innererror |
Inner error. |
Error
The error object.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
Error[] |
An array of details about specific errors that led to this reported error. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
A human-readable representation of the error. |
| target |
string |
The target of the error. |
ErrorCode
Human-readable error code.
| Value | Description |
|---|---|
| InvalidRequest |
Invalid request error |
| InvalidArgument |
Invalid argument error |
| Unauthorized |
Unauthorized access error |
| Forbidden |
Forbidden access error |
| NotFound |
Not found error |
| ProjectNotFound |
Project not found error |
| OperationNotFound |
Operation not found error |
| AzureCognitiveSearchNotFound |
Azure Cognitive Search not found error |
| AzureCognitiveSearchIndexNotFound |
Azure Cognitive Search index not found error |
| TooManyRequests |
Too many requests error |
| AzureCognitiveSearchThrottling |
Azure Cognitive Search throttling error |
| AzureCognitiveSearchIndexLimitReached |
Azure Cognitive Search index limit reached error |
| InternalServerError |
Internal server error |
| ServiceUnavailable |
Service unavailable error |
| Timeout |
Timeout error |
| QuotaExceeded |
Quota exceeded error |
| Conflict |
Conflict error |
| Warning |
Warning error |
ErrorResponse
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
InnerErrorCode
Human-readable error code.
| Value | Description |
|---|---|
| InvalidRequest |
Invalid request error |
| InvalidParameterValue |
Invalid parameter value error |
| KnowledgeBaseNotFound |
Knowledge base not found error |
| AzureCognitiveSearchNotFound |
Azure Cognitive Search not found error |
| AzureCognitiveSearchThrottling |
Azure Cognitive Search throttling error |
| ExtractionFailure |
Extraction failure error |
| InvalidRequestBodyFormat |
Invalid request body format error |
| EmptyRequest |
Empty request error |
| MissingInputDocuments |
Missing input documents error |
| InvalidDocument |
Invalid document error |
| ModelVersionIncorrect |
Model version incorrect error |
| InvalidDocumentBatch |
Invalid document batch error |
| UnsupportedLanguageCode |
Unsupported language code error |
| InvalidCountryHint |
Invalid country hint error |
InnerErrorModel
An object containing more specific information about the error. As per Microsoft One API guidelines - https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses.
| Name | Type | Description |
|---|---|---|
| code |
One of a server-defined set of error codes. |
|
| details |
object |
Error details. |
| innererror |
An object containing more specific information than the current object about the error. |
|
| message |
string |
Error message. |
| target |
string |
Error target. |
jobStatus
Job Status.
| Value | Description |
|---|---|
| notStarted | |
| running | |
| succeeded | |
| failed | |
| cancelled | |
| cancelling | |
| partiallyCompleted |
QuestionAnsweringAuthoringProjectDeletionJobState
Represents the state of a project deletion job.
| Name | Type | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
The creation date time of the job. |
| errors |
The errors encountered while executing the job. |
|
| expirationDateTime |
string (date-time) |
The expiration date time of the job. |
| jobId |
string |
The job ID. |
| lastUpdatedDateTime |
string (date-time) |
The last date time the job was updated. |
| status |
Job Status. |